<template>
  <div class="options-container">
    <button v-for="opt of answer.shuffle()" v-bind:key="opt" class="button" @click="buttonClick(opt)" v-html="opt"></button>
  </div>
</template>

<script>
export default{
  name: 'QuestionAnswer',
  props: ['answer', 'userAnswer'],
  methods: {
    buttonClick(o){
      this.answer.setAnswer(o)
      console.log('o: ' + o)
      this.$emit('answer')
    }
  }
}
</script>

<style>
</style>